Subject: Re: linux-next: build warning after merge of the rpmsg tree

From: Martyn Welch <[email-masked]>
Date: Fri, 06 Sep 2024 09:58:23 +0100

On Fri, 2024-09-06 at 18:36 +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Wed, 28 Aug 2024 15:09:00 +1000 Stephen Rothwell
> <[email-masked]> wrote:
> > 
> > On Thu, 22 Aug 2024 14:26:03 +1000 Stephen Rothwell
> > <[email-masked]> wrote:
> > > 
> > > After merging the rpmsg tree, today's linux-next build (x86_64
> > > allmodconfig) produced this warning:
> > > 
> > > WARNING: unmet direct dependencies detected for OMAP2PLUS_MBOX
> > >   Depends on [n]: MAILBOX [=y] && (ARCH_OMAP2PLUS || ARCH_K3)
> > >   Selected by [m]:
> > >   - TI_K3_M4_REMOTEPROC [=m] && REMOTEPROC [=y] && (ARCH_K3 ||
> > > COMPILE_TEST [=y])
> > > 
> > > Probably introduced by commit
> > > 
> > >   ebcf9008a895 ("remoteproc: k3-m4: Add a remoteproc driver for
> > > M4F subsystem")  
> > 
> > I am still seeing this warning.
> 
> I am still getting this warning.
> 

Hi Stephen,

I believe this is the required fix, but I believe it's waiting for
review/merging:

https://lore.kernel.org/all/[email-masked]/

Martyn